X2Go Bug report logs - #1282
X2Go server 4.1.0.1-0 heuler kicks out on Fedora 27

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Robert Kudyba <rkudyba@fordham.edu>

Date: Wed, 4 Apr 2018 19:40:01 UTC

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1282; Package x2goserver. (Wed, 04 Apr 2018 19:40:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Kudyba <rkudyba@fordham.edu>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>.

Your message had a Version: pseudo-header with an invalid package version:

x2goserver-4.1.0.1-0.0x2go1.0.git20180314.1610.heuler.fc27.x86_64

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Wed, 04 Apr 2018 19:40:01 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Robert Kudyba <rkudyba@fordham.edu>
To: submit@bugs.x2go.org
Subject: X2Go server 4.1.0.1-0 heuler kicks out on Fedora 27
Date: Wed, 4 Apr 2018 15:39:06 -0400
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: x2goserver-4.1.0.1-0.0x2go1.0.git20180314.1610.heuler.fc27.x86_64
When using X2Go from a Mac, the desktop starts and kicks back out. Here are some logs from both server and client.
rpm -q x2goserver-x2goagent 
x2goserver-x2goagent-4.1.0.1-0.0x2go1.0.git20180314.1610.heuler.fc27.x86_64
rpm -q x2goserver-xsession  
x2goserver-xsession-4.1.0.1-0.0x2go1.0.git20180314.1610.heuler.fc27.x86_64
rpm -q nx-libs
nx-libs-3.5.99.16-0.0build1.0.git20180317.2985.heuler.fc27.x86_64

Debug enabled logs from Fedora 27 server:
Apr  4 15:25:31 ourdomain /usr/bin/x2gostartagent[24539]: x2gostartagent called with options: 800x600 adsl 16m-jpeg-9 unix-kde-depth_32 us query 0 D MATE both
Apr  4 15:25:31 ourdomain /usr/bin/x2gosessionlimit[24558]: x2gosessionlimit has been called
Apr  4 15:25:32 ourdomain x2golistsessions[24559]: x2golistsessions has been called with options: --all-servers
Apr  4 15:25:34 ourdomain x2gocleansessions[18883]: kudyba-50-1522869932_stDMATE_dp32: state file for this session does not exist: /tmp/.x2go-kudyba/C-kudyba-50-1522869932_stDMATE_dp32/state (this can be ignored during session startups)
Apr  4 15:25:35 ourdomain /usr/bin/x2gofeature[24667]: x2gofeature called with options: X2GO_RUN_EXTENSIONS
Apr  4 15:25:35 ourdomain /usr/share/x2go/x2gofeature.d/x2goserver-extensions.features[24672]: x2goserver-extensions.features called with options: X2GO_RUN_EXTENSIONS
Apr  4 15:25:35 ourdomain /usr/bin/x2goserver-run-extensions[24677]: x2goserver-run-extensions called with options: kudyba-50-1522869932_stDMATE_dp32 pre-start
Apr  4 15:25:35 ourdomain /usr/bin/x2gostartagent[24689]: creating new session: kudyba-50-1522869932_stDMATE_dp32 b1d366e8baf4cf831c6da29a9b9a81f2 24687 150.108.68.33 51275 51276 51277 -1 -1
Apr  4 15:25:35 ourdomain /usr/bin/x2gostartagent[24695]: blocking creation of agent's keyboard file /tmp/.x2go-kudyba/C-kudyba-50-1522869932_stDMATE_dp32/keyboard as requested by session startup command
Apr  4 15:25:35 ourdomain /usr/bin/x2gostartagent[24698]: successfully started X2Go Agent session with ID kudyba-50-1522869932_stDMATE_dp32
Apr  4 15:25:35 ourdomain /usr/bin/x2gofeature[24705]: x2gofeature called with options: X2GO_RUN_EXTENSIONS
Apr  4 15:25:35 ourdomain /usr/share/x2go/x2gofeature.d/x2goserver-extensions.features[24710]: x2goserver-extensions.features called with options: X2GO_RUN_EXTENSIONS
Apr  4 15:25:35 ourdomain /usr/bin/x2goserver-run-extensions[24715]: x2goserver-run-extensions called with options: kudyba-50-1522869932_stDMATE_dp32 post-start
Apr  4 15:25:41 ourdomain /usr/bin/x2goruncommand[24845]: x2goruncommand called with options: 50 24687 kudyba-50-1522869932_stDMATE_dp32 51276 mate-session nosnd D
Apr  4 15:25:41 ourdomain /usr/bin/x2gofeature[24855]: x2gofeature called with options: X2GOAGENT_RANDRXINERAMA
Apr  4 15:25:41 ourdomain /usr/share/x2go/x2gofeature.d/x2goserver-extensions.features[24863]: x2goserver-extensions.features called with options: X2GOAGENT_RANDRXINERAMA
Apr  4 15:25:41 ourdomain /usr/share/x2go/x2gofeature.d/x2goserver.features[24868]: x2goserver.features called with options: X2GOAGENT_RANDRXINERAMA
Apr  4 15:25:41 ourdomain /usr/share/x2go/x2gofeature.d/x2goserver-x2goagent.features[24874]: x2goserver-x2goagent.features called with options: X2GOAGENT_RANDRXINERAMA
Apr  4 15:25:41 ourdomain /usr/bin/x2gofeature[24886]: x2gofeature called with options: X2GO_RUN_EXTENSIONS
Apr  4 15:25:41 ourdomain /usr/share/x2go/x2gofeature.d/x2goserver-extensions.features[24891]: x2goserver-extensions.features called with options: X2GO_RUN_EXTENSIONS
Apr  4 15:25:41 ourdomain /usr/bin/x2goserver-run-extensions[24896]: x2goserver-run-extensions called with options: kudyba-50-1522869932_stDMATE_dp32 pre-runcommand
Apr  4 15:25:41 ourdomain /usr/bin/x2goruncommand[24901]: ERROR: command  failed to execute
Apr  4 15:25:41 ourdomain /usr/bin/x2gofeature[24908]: x2gofeature called with options: X2GO_RUN_EXTENSIONS
Apr  4 15:25:42 ourdomain /usr/share/x2go/x2gofeature.d/x2goserver-extensions.features[24913]: x2goserver-extensions.features called with options: X2GO_RUN_EXTENSIONS
Apr  4 15:25:42 ourdomain /usr/bin/x2goserver-run-extensions[24918]: x2goserver-run-extensions called with options: kudyba-50-1522869932_stDMATE_dp32 fail-runcommand
Apr  4 15:25:42 ourdomain /usr/bin/x2gofeature[24929]: x2gofeature called with options: X2GO_DESKTOPSHARING
Apr  4 15:25:42 ourdomain /usr/share/x2go/x2gofeature.d/x2goserver-extensions.features[24935]: x2goserver-extensions.features called with options: X2GO_DESKTOPSHARING
Apr  4 15:25:42 ourdomain /usr/share/x2go/x2gofeature.d/x2goserver.features[24940]: x2goserver.features called with options: X2GO_DESKTOPSHARING
Apr  4 15:25:42 ourdomain /usr/share/x2go/x2gofeature.d/x2goserver-x2goagent.features[24946]: x2goserver-x2goagent.features called with options: X2GO_DESKTOPSHARING
Apr  4 15:25:42 ourdomain /usr/share/x2go/x2gofeature.d/x2goserver-xsession.features[24951]: x2goserver-xsession.features called with options: X2GO_DESKTOPSHARING
Apr  4 15:25:42 ourdomain x2goumount-session[24959]: x2goumount-session has been called with options: kudyba-50-1522869932_stDMATE_dp32
Apr  4 15:25:44 ourdomain /usr/bin/x2gocmdexitmessage[25006]: x2gocmdexitmessage called with options: kudyba-50-1522869932_stDMATE_dp32

Debug logs from Mac X2Go Client 4.1.1.1
x2go-DEBUG-../src/onmainwindow.cpp:3007> Starting new ssh connection to server:"ourdomain":"22" krbLogin: false
x2go-DEBUG-../src/sshmasterconnection.cpp:175> SshMasterConnection, host "ourdomain"; port 22; user "kudyba"; useproxy false; proxyserver ""; proxyport 22
x2go-DEBUG-../src/sshmasterconnection.cpp:248> Starting SSH connection without Kerberos authentication.
x2go-DEBUG-../src/sshmasterconnection.cpp:252> SshMasterConnection, instance SshMasterConnection(0x7fd6ddde6410)  created. 
x2go-DEBUG-../src/sshmasterconnection.cpp:520> SshMasterConnection, instance SshMasterConnection(0x7fd6ddde6410)  entering thread. 
x2go-DEBUG-../src/sshmasterconnection.cpp:834> Session port before config file parse: 22
x2go-DEBUG-../src/sshmasterconnection.cpp:844> Session port after config file parse: 22
x2go-DEBUG-../src/sshmasterconnection.cpp:909> Session port before config file parse (part 2): 22
x2go-DEBUG-../src/sshmasterconnection.cpp:919> Session port after config file parse (part 2): 22
x2go-DEBUG-../src/sshmasterconnection.cpp:944> cserverAuth
x2go-DEBUG-../src/sshmasterconnection.cpp:985> state: 1
x2go-DEBUG-../src/sshmasterconnection.cpp:1268> Trying password mechanism if available.
x2go-DEBUG-../src/sshmasterconnection.cpp:1272> Password mechanism available. Continuing.
x2go-DEBUG-../src/sshmasterconnection.cpp:726> User authentication OK.
x2go-DEBUG-../src/sshmasterconnection.cpp:1772> LOGIN CHECK:"LOGIN OK"
x2go-DEBUG-../src/sshmasterconnection.cpp:1775> don't have interaction
x2go-DEBUG-../src/sshmasterconnection.cpp:1808> LOOP FINISHED
x2go-DEBUG-../src/sshmasterconnection.cpp:1812> No interaction needed, continue session
x2go-DEBUG-../src/sshmasterconnection.cpp:730> Login Check - OK
x2go-DEBUG-../src/onmainwindow.cpp:3113> SSH connection established.
x2go-DEBUG-../src/onmainwindow.cpp:3514> Continue normal X2Go session
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via SshProcess object 0: "x2golistsessions"
x2go-DEBUG-../src/sshprocess.cpp:213> this=SshProcess(0x7fd6dddc06d0)  Running masterCon->addChannelConnection(this, ' "9e043a8d-a168-4408-9996-196a7ca46de0" ', ' "bash -l -c 'echo "X2GODATABEGIN:9e043a8d-a168-4408-9996-196a7ca46de0"; export PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; x2golistsessions; echo "X2GODATAEND:9e043a8d-a168-4408-9996-196a7c" '); 
x2go-DEBUG-../src/sshmasterconnection.cpp:1874> Locking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1876> Passing new channel connection object to channelConnections.
x2go-DEBUG-../src/sshmasterconnection.cpp:1878> Unlocking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:2066> Creating new channel.
x2go-DEBUG-../src/sshmasterconnection.cpp:2083> New channel:0x7fd6e0425ab0
x2go-DEBUG-../src/sshmasterconnection.cpp:2168> Executing remote: "bash -l -c 'echo "X2GODATABEGIN:9e043a8d-a168-4408-9996-196a7ca46de0"; export PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; x2golistsessions; echo "X2GODATAEND:9e043a8d-a168-4408-9996-196a7ca46de0";'"
x2go-DEBUG-../src/sshmasterconnection.cpp:2191> New exec channel created.
x2go-DEBUG-../src/sshmasterconnection.cpp:2240> EOF on channel 0x7fd6e0425ab0; SshProcess object: 0
x2go-DEBUG-../src/sshmasterconnection.cpp:2363> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:2367> Channel closed.
x2go-DEBUG-../src/sshprocess.cpp:526> SSH finished: raw output (stdout): "X2GODATABEGIN:9e043a8d-a168-4408-9996-196a7ca46de0
X2GODATAEND:9e043a8d-a168-4408-9996-196a7ca46de0"
x2go-DEBUG-../src/sshprocess.cpp:537> SSH finished: true - "" (0).
x2go-DEBUG-../src/onmainwindow.cpp:3982> ""
x2go-DEBUG-../src/onmainwindow.cpp:4556> Executing remote command: "X2GODPI=72 X2GO_XINERAMA=no x2gostartagent 800x600 adsl 16m-jpeg-9 unix-kde-depth_32 us query 0 D MATE both"
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via SshProcess object 1: "X2GODPI=72 X2GO_XINERAMA=no x2gostartagent 800x600 adsl 16m-jpeg-9 unix-kde-depth_32 us query 0 D MATE both"
x2go-DEBUG-../src/sshprocess.cpp:213> this=SshProcess(0x7fd6e0043ba0)  Running masterCon->addChannelConnection(this, ' "89aa5de6-d311-4381-a5cc-436415f2b825" ', ' "bash -l -c 'echo "X2GODATABEGIN:89aa5de6-d311-4381-a5cc-436415f2b825"; export PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; X2GODPI=72 X2GO_XINERAMA=no x2gostartagent 800x600 adsl 16m-jpeg-9" '); 
x2go-DEBUG-../src/sshmasterconnection.cpp:1874> Locking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1876> Passing new channel connection object to channelConnections.
x2go-DEBUG-../src/sshmasterconnection.cpp:1878> Unlocking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:2066> Creating new channel.
x2go-DEBUG-../src/sshmasterconnection.cpp:2083> New channel:0x7fd6ddee1bc0
x2go-DEBUG-../src/sshmasterconnection.cpp:2168> Executing remote: "bash -l -c 'echo "X2GODATABEGIN:89aa5de6-d311-4381-a5cc-436415f2b825"; export PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; X2GODPI=72 X2GO_XINERAMA=no x2gostartagent 800x600 adsl 16m-jpeg-9 unix-kde-depth_32 us query 0 D MATE both; echo "X2GODATAEND:89aa5de6-d311-4381-a5cc-436415f2b825";'"
x2go-DEBUG-../src/sshmasterconnection.cpp:2191> New exec channel created.
x2go-DEBUG-../src/sshmasterconnection.cpp:2240> EOF on channel 0x7fd6ddee1bc0; SshProcess object: 1
x2go-DEBUG-../src/sshmasterconnection.cpp:2363> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:2367> Channel closed.
x2go-DEBUG-../src/sshprocess.cpp:526> SSH finished: raw output (stdout): "X2GODATABEGIN:89aa5de6-d311-4381-a5cc-436415f2b82550b1d366e8baf4cf831c6da29a9b9a81f224687kudyba-50-1522869932_stDMATE_dp
325127
551276
51277
X2GODATAEND:89aa5de6-d311-4381-a5cc-436415f2b825"
x2go-DEBUG-../src/sshprocess.cpp:537> SSH finished: true - "50
b1d366e8baf4cf831c6da29a9b9a81f2
24687
kudyba-50-1522869932_stDMATE_dp32
51275
51276
51277
" (1).
x2go-DEBUG-../src/onmainwindow.cpp:5390> Agent output: "50
b1d366e8baf4cf831c6da29a9b9a81f224687
kudyba-50-1522869932_stDMATE_dp32
51275
51276
51277"
x2go-DEBUG-../src/sshprocess.cpp:381> Starting tunnel via SshProcess object 2: "localhost":51275 -> "localhost":52275
x2go-DEBUG-../src/onmainwindow.cpp:5987> "Starting NX proxy, command: "/Applications/x2goclient.app/Contents/exe/"nxproxy -S nx/nx,options=/Users/fordham/.x2go/S-kudyba-50-1522869932_stDMATE_dp32/options:50"
x2go-DEBUG-../src/sshprocess.cpp:157> Direct tunnel: waiting for connections on "localhost":52275
x2go-DEBUG-../src/onmainwindow.cpp:6459> Proxy wrote on stderr: "
NXPROXY - Version 3.5.99.14
Copyright (c) 2001, 2011 NoMachine (http://www.nomachine.com)
Copyright (c) 2008-2014 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
Copyright (c) 2014-2016 Ulrich Sibiller <uli42@gmx.de>
Copyright (c) 2014-2016 Mihai Moldovan <ionic@ionic.de>
Copyright (c) 2011-2016 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Copyright (c) 2015-2016 Qindel Group (http://www.qindel.com)
NXCOMP, NX protocol compression and NX extensions to this software
are copyright of the aforementioned persons and companies.
Redistribution and use of the present software is allowed according
to terms specified in the file LICENSE.nxcomp which comes in the
source distribution.
All rights reserved.
NOTE: This software has received contributions from various other
contributors, only the core maintainers and supporters are listed as
copyright holders. Please contact us, if you feel you should be listed
as copyright holder, as well.
NX protocol compression is derived from DXPC project.
Copyright (c) 1995,1996 Brian Pane
Copyright (c) 1996,1997 Zachary Vonler and Brian Pane
Copyright (c) 1999 Kevin Vigor and Brian Pane
Copyright (c) 2000,2003 Gian Filippo Pinzari and Brian Pane
All rights reserved.
See https://github.com/ArcticaProject/nx-libs for more information.
Info: Proxy running in server mode with pid '57535'.
Session: Starting session at 'Wed Apr  4 15:25:36 2018'.
Info: Using errors file '/Users/fordham/.x2go/S-kudyba-50-1522869932_stDMATE_dp32/sessions'.
Info: Using stats file '/Users/fordham/.x2go/S-50/stats'.
Loop: WARNING! Overriding auxiliary X11 port with new value '1'.
Warning: Overriding auxiliary X11 port with new value '1'.
Info: Connecting to remote host 'localhost:52275'.
Info: Connected to remote proxy on FD#6.
"x2go-DEBUG-../src/sshprocess.cpp:109> New TCP connection.
x2go-DEBUG-../src/sshprocess.cpp:114> New socket: 29
x2go-DEBUG-../src/sshmasterconnection.cpp:2066> Creating new channel.
x2go-DEBUG-../src/sshmasterconnection.cpp:2083> New channel:0x7fd6ddf97680
x2go-DEBUG-../src/sshmasterconnection.cpp:2089> Forwarding parameters: from remote ("localhost":51275) to local ("localhost":63731)
x2go-DEBUG-../src/sshmasterconnection.cpp:2126> Temporary session port after config file parse: 51275
x2go-DEBUG-../src/sshmasterconnection.cpp:2130> Temporary session host after config file parse: localhost
x2go-DEBUG-../src/sshmasterconnection.cpp:2160> New channel forwarded.
x2go-DEBUG-../src/onmainwindow.cpp:6459> Proxy wrote on stderr: "Info: Connection with remote proxy completed.
Loop: WARNING! Unrecognized session type 'unix-kde-depth_32'. Assuming agent session.
Warning: Unrecognized session type 'unix-kde-depth_32'. Assuming agent session."
x2go-DEBUG-../src/onmainwindow.cpp:6459> Proxy wrote on stderr: "Info: Using ADSL link parameters 1408/24/1/0.
Info: Using cache parameters 4/4096KB/8192KB/8192KB."
x2go-DEBUG-../src/onmainwindow.cpp:6459> Proxy wrote on stderr: "Info: Using pack method '16m-jpeg-9' with session 'unix-kde-depth_32'.
Info: Using ZLIB data compression 1/1/32.
Info: Using ZLIB stream compression 4/4.
Info: No suitable cache file found.
Info: Forwarding X11 connections to display '/private/tmp/com.apple.launchd.6NocDpMNWs/org.macosforge.xquartz:0'.
Info: Forwarding auxiliary X11 connections to display '/private/tmp/com.apple.launchd.6NocDpMNWs/org.macosforge.xquartz:0'.
Session: Session started at 'Wed Apr  4 15:25:36 2018'."
x2go-DEBUG-../src/onmainwindow.cpp:6459> Proxy wrote on stderr: "Info: Established X server connection."
x2go-DEBUG-../src/x2goutils.cpp:219> path value at beginning: "/Users/fordham/Downloads/google-cloud-sdk/bin:/Users/fordham/.pyenv/shims:/Users/fordham/.pyenv/bin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/opt/X11/bin:/Applications/Wireshark.app/Contents/MacOS"
x2go-DEBUG-../src/x2goutils.cpp:242> tmp_clean_add: ("/opt/X11/bin") 
x2go-DEBUG-../src/x2goutils.cpp:270> clean_add: ("/opt/X11/bin") 
x2go-DEBUG-../src/x2goutils.cpp:291> found entry i (0) in orig_path_list ("/opt/X11/bin"): true
x2go-DEBUG-../src/x2goutils.cpp:309> return value at end: "/Users/fordham/Downloads/google-cloud-sdk/bin:/Users/fordham/.pyenv/shims:/Users/fordham/.pyenv/bin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/opt/X11/bin:/Applications/Wireshark.app/Contents/MacOS"
x2go-DEBUG-../src/x2goutils.cpp:219> path value at beginning: "/Users/fordham/Downloads/google-cloud-sdk/bin:/Users/fordham/.pyenv/shims:/Users/fordham/.pyenv/bin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/opt/X11/bin:/Applications/Wireshark.app/Contents/MacOS"
x2go-DEBUG-../src/x2goutils.cpp:242> tmp_clean_add: ("/opt/local//bin", "/usr/local/bin") 
x2go-DEBUG-../src/x2goutils.cpp:270> clean_add: ("/opt/local//bin", "/usr/local/bin") 
x2go-DEBUG-../src/x2goutils.cpp:291> found entry i (0) in orig_path_list ("/opt/local//bin"): false
x2go-DEBUG-../src/x2goutils.cpp:291> found entry i (1) in orig_path_list ("/usr/local/bin"): true
x2go-DEBUG-../src/x2goutils.cpp:309> return value at end: "/opt/local//bin:/Users/fordham/Downloads/google-cloud-sdk/bin:/Users/fordham/.pyenv/shims:/Users/fordham/.pyenv/bin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/opt/X11/bin:/Applications/Wireshark.app/Contents/MacOS"
x2go-DEBUG-../src/onmainwindow.cpp:6143> modifiers: "/opt/X11/bin/xmodmap:  up to 2 keys per modifier, (keycodes in parentheses):
shift       Shift_L (0x40),  Shift_R (0x44)
lock        Caps_Lock (0x41)
control     Control_L (0x43),  Control_R (0x46)
mod1        Mode_switch (0x42),  Mode_switch (0x45)
mod2        Meta_L (0x3f),  Meta_R (0x47)
mod3      
mod4      
mod5      
"
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via SshProcess object 3: "export DISPLAY=":50"; echo "keycode   8 = a A aring Aring
keycode   9 = s S ssharp Iacute
keycode  10 = d D partialderivative Icircumflex
keycode  11 = f F function Idiaeresis
keycode  12 = h H abovedot Oacute
keycode  13 = g G copyright doubleacute
keycode  14 = z Z Greek_OMEGA cedilla
keycode  15 = x X approxeq ogonek
keycode  16 = c C ccedilla Ccedilla
keycode  17 = v V radical U25CA
keycode  18 = section plusminus section plusminus
keycode  19 = b B integral idotless
keycode  20 = q Q oe OE
keycode  21 = w W U2211 doublelowquotemark
keycode  22 = e E dead_acute acute
keycode  23 = r R registered U2030
keycode  24 = y Y yen Aacute
keycode  25 = t T dagger caron
keycode  26 = 1 exclam exclamdown U2044
keycode  27 = 2 at trademark EuroSign
keycode  28 = 3 numbersign sterling U2039
keycode  29 = 4 dollar cent U203A
keycode  30 = 6 asciicircum section UFB02
keycode  31 = 5 percent infinity UFB01
keycode  32 = equal plus notequal plusminus
keycode  33 = 9 parenleft ordfeminine periodcentered
keycode  34 = 7 ampersand paragraph doubledagger
keycode  35 = minus underscore endash emdash
keycode  36 = 8 asterisk enfilledcircbullet degree
keycode  37 = 0 parenright masculine singlelowquotemark
keycode  38 = bracketright braceright leftsinglequotemark rightsinglequotemark
keycode  39 = o O oslash Oslash
keycode  40 = u U dead_diaeresis diaeresis
keycode  41 = bracketleft braceleft leftdoublequotemark rightdoublequotemark
keycode  42 = i I dead_circumflex U02C6
keycode  43 = p P Greek_pi U220F
keycode  44 = Return NoSymbol Return
keycode  45 = l L notsign Ograve
keycode  46 = j J U2206 Ocircumflex
keycode  47 = apostrophe quotedbl ae AE
keycode  48 = k K U02DA UF8FF
keycode  49 = semicolon colon ellipsis Uacute
keycode  50 = backslash bar guillemotleft guillemotright
keycode  51 = comma less lessthanequal macron
keycode  52 = slash question division questiondown
keycode  53 = n N dead_tilde U02DC
keycode  54 = m M mu Acircumflex
keycode  55 = period greater greaterthanequal breve
keycode  56 = Tab NoSymbol Tab
keycode  57 = space NoSymbol nobreakspace
keycode  58 = grave asciitilde dead_grave grave
keycode  59 = BackSpace NoSymbol BackSpace
keycode  60 = 0x1000003 NoSymbol 0x1000003
keycode  61 = Escape NoSymbol Escape
keycode  62 =
keycode  63 = Meta_L NoSymbol Meta_L
keycode  64 = Shift_L NoSymbol Shift_L
keycode  65 = Caps_Lock NoSymbol Caps_Lock
keycode  66 = Mode_switch NoSymbol Mode_switch
keycode  67 = Control_L NoSymbol Control_L
keycode  68 = Shift_R NoSymbol Shift_R
keycode  69 = Mode_switch NoSymbol Mode_switch
keycode  70 = Control_R NoSymbol Control_R
keycode  71 = Meta_R NoSymbol Meta_R
keycode  72 =
keycode  73 = KP_Decimal NoSymbol KP_Decimal
keycode  74 =
keycode  75 = KP_Multiply NoSymbol KP_Multiply
keycode  76 =
keycode  77 = KP_Add NoSymbol KP_Add
keycode  78 =
keycode  79 = Escape NoSymbol Escape
keycode  80 =
keycode  81 =
keycode  82 =
keycode  83 = KP_Divide NoSymbol KP_Divide
keycode  84 = KP_Enter NoSymbol KP_Enter
keycode  85 =
keycode  86 = KP_Subtract NoSymbol KP_Subtract
keycode  87 =
keycode  88 =
keycode  89 = KP_Equal NoSymbol KP_Equal
keycode  90 = KP_0 NoSymbol KP_0
keycode  91 = KP_1 NoSymbol KP_1
keycode  92 = KP_2 NoSymbol KP_2
keycode  93 = KP_3 NoSymbol KP_3
keycode  94 = KP_4 NoSymbol KP_4
keycode  95 = KP_5 NoSymbol KP_5
keycode  96 = KP_6 NoSymbol KP_6
keycode  97 = KP_7 NoSymbol KP_7
keycode  98 =
keycode  99 = KP_8 NoSymbol KP_8
keycode 100 = KP_9 NoSymbol KP_9
keycode 101 =
keycode 102 =
keycode 103 =
keycode 104 = F5 NoSymbol F5
keycode 105 = F6 NoSymbol F6
keycode 106 = F7 NoSymbol F7
keycode 107 = F3 NoSymbol F3
keycode 108 = F8 NoSymbol F8
keycode 109 = F9 NoSymbol F9
keycode 110 =
keycode 111 = F11 NoSymbol F11
keycode 112 =
keycode 113 = F13 NoSymbol F13
keycode 114 =
keycode 115 = F14 NoSymbol F14
keycode 116 =
keycode 117 = F10 NoSymbol F10
keycode 118 =
keycode 119 = F12 NoSymbol F12
keycode 120 =
keycode 121 = F15 NoSymbol F15
keycode 122 = Help NoSymbol Help
keycode 123 = Home NoSymbol Home
keycode 124 = Prior NoSymbol Prior
keycode 125 = Delete NoSymbol Delete
keycode 126 = F4 NoSymbol F4
keycode 127 = End NoSymbol End
keycode 128 = F2 NoSymbol F2
keycode 129 = Next NoSymbol Next
keycode 130 = F1 NoSymbol F1
keycode 131 = Left NoSymbol Left
keycode 132 = Right NoSymbol Right
keycode 133 = Down NoSymbol Down
keycode 134 = Up NoSymbol Up
keycode 135 =
keycode 136 =
keycode 137 =
keycode 138 =
keycode 139 =
keycode 140 =
keycode 141 =
keycode 142 =
keycode 143 =
keycode 144 =
keycode 145 =
keycode 146 =
keycode 147 =
keycode 148 =
keycode 149 =
keycode 150 =
keycode 151 =
keycode 152 =
keycode 153 =
keycode 154 =
keycode 155 =
keycode 156 =
keycode 157 =
keycode 158 =
keycode 159 =
keycode 160 =
keycode 161 =
keycode 162 =
keycode 163 =
keycode 164 =
keycode 165 =
keycode 166 =
keycode 167 =
keycode 168 =
keycode 169 =
keycode 170 =
keycode 171 =
keycode 172 =
keycode 173 =
keycode 174 =
keycode 175 =
keycode 176 =
keycode 177 =
keycode 178 =
keycode 179 =
keycode 180 =
keycode 181 =
keycode 182 =
keycode 183 =
keycode 184 =
keycode 185 =
keycode 186 =
keycode 187 =
keycode 188 =
keycode 189 =
keycode 190 =
keycode 191 =
keycode 192 =
keycode 193 =
keycode 194 =
keycode 195 =
keycode 196 =
keycode 197 =
keycode 198 =
keycode 199 =
keycode 200 =
keycode 201 =
keycode 202 =
keycode 203 =
keycode 204 =
keycode 205 =
keycode 206 =
keycode 207 =
keycode 208 =
keycode 209 =
keycode 210 =
keycode 211 =
keycode 212 =
keycode 213 =
keycode 214 =
keycode 215 =
keycode 216 =
keycode 217 =
keycode 218 =
keycode 219 =
keycode 220 =
keycode 221 =
keycode 222 =
keycode 223 =
keycode 224 =
keycode 225 =
keycode 226 =
keycode 227 =
keycode 228 =
keycode 229 =
keycode 230 =
keycode 231 =
keycode 232 =
keycode 233 =
keycode 234 =
keycode 235 =
keycode 236 =
keycode 237 =
keycode 238 =
keycode 239 =
keycode 240 =
keycode 241 =
keycode 242 =
keycode 243 =
keycode 244 =
keycode 245 =
keycode 246 =
keycode 247 =
keycode 248 =
keycode 249 =
keycode 250 =
keycode 251 =
keycode 252 =
keycode 253 =
keycode 254 =
keycode 255 =
clear shift
clear lock
clear control
clear mod1
clear mod2
clear mod3
clear mod4
clear mod5
add shift = Shift_L
add shift = Shift_R
add lock = Caps_Lock
add control = Control_L
add control = Control_R
add mod1 = Mode_switch
add mod1 = Mode_switch
add mod2 = Meta_L
add mod2 = Meta_R
" | xmodmap -"
x2go-DEBUG-../src/sshprocess.cpp:213> this=SshProcess(0x7fd6ddf22670)  Running masterCon->addChannelConnection(this, ' "d553712e-0768-4022-bcdf-d1cdb98f17d3" ', ' "bash -l -c 'echo "X2GODATABEGIN:d553712e-0768-4022-bcdf-d1cdb98f17d3"; export PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; export DISPLAY=":50"; echo "keycode   8 = a A aring Aring
keycode " '); 
x2go-DEBUG-../src/sshmasterconnection.cpp:1874> Locking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1876> Passing new channel connection object to channelConnections.
x2go-DEBUG-../src/sshmasterconnection.cpp:1878> Unlocking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via SshProcess object 4: "x2gobasepath"
x2go-DEBUG-../src/sshprocess.cpp:213> this=SshProcess(0x7fd6e042d820)  Running masterCon->addChannelConnection(this, ' "7ae0289d-9a47-4b97-afcd-2a0a8addacef" ', ' "bash -l -c 'echo "X2GODATABEGIN:7ae0289d-9a47-4b97-afcd-2a0a8addacef"; export PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; x2gobasepath; echo "X2GODATAEND:7ae0289d-9a47-4b97-afcd-2a0a8addac" '); 
x2go-DEBUG-../src/sshmasterconnection.cpp:1874> Locking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1876> Passing new channel connection object to channelConnections.
x2go-DEBUG-../src/sshmasterconnection.cpp:1878> Unlocking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:2066> Creating new channel.
x2go-DEBUG-../src/sshmasterconnection.cpp:2083> New channel:0x7fd6e045b140
x2go-DEBUG-../src/sshmasterconnection.cpp:2168> Executing remote: "bash -l -c 'echo "X2GODATABEGIN:d553712e-0768-4022-bcdf-d1cdb98f17d3"; export PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; export DISPLAY=":50"; echo "keycode   8 = a A aring Aring
keycode   9 = s S ssharp Iacute
keycode  10 = d D partialderivative Icircumflex
keycode  11 = f F function Idiaeresis
keycode  12 = h H abovedot Oacute
keycode  13 = g G copyright doubleacute
keycode  14 = z Z Greek_OMEGA cedilla
keycode  15 = x X approxeq ogonek
keycode  16 = c C ccedilla Ccedilla
keycode  17 = v V radical U25CA
keycode  18 = section plusminus section plusminus
keycode  19 = b B integral idotless
keycode  20 = q Q oe OE
keycode  21 = w W U2211 doublelowquotemark
keycode  22 = e E dead_acute acute
keycode  23 = r R registered U2030
keycode  24 = y Y yen Aacute
keycode  25 = t T dagger caron
keycode  26 = 1 exclam exclamdown U2044
keycode  27 = 2 at trademark EuroSign
keycode  28 = 3 numbersign sterling U2039
keycode  29 = 4 dollar cent U203A
keycode  30 = 6 asciicircum section UFB02
keycode  31 = 5 percent infinity UFB01
keycode  32 = equal plus notequal plusminus
keycode  33 = 9 parenleft ordfeminine periodcentered
keycode  34 = 7 ampersand paragraph doubledagger
keycode  35 = minus underscore endash emdash
keycode  36 = 8 asterisk enfilledcircbullet degree
keycode  37 = 0 parenright masculine singlelowquotemark
keycode  38 = bracketright braceright leftsinglequotemark rightsinglequotemark
keycode  39 = o O oslash Oslash
keycode  40 = u U dead_diaeresis diaeresis
keycode  41 = bracketleft braceleft leftdoublequotemark rightdoublequotemark
keycode  42 = i I dead_circumflex U02C6
keycode  43 = p P Greek_pi U220F
keycode  44 = Return NoSymbol Return
keycode  45 = l L notsign Ograve
keycode  46 = j J U2206 Ocircumflex
keycode  47 = apostrophe quotedbl ae AE
keycode  48 = k K U02DA UF8FF
keycode  49 = semicolon colon ellipsis Uacute
keycode  50 = backslash bar guillemotleft guillemotright
keycode  51 = comma less lessthanequal macron
keycode  52 = slash question division questiondown
keycode  53 = n N dead_tilde U02DC
keycode  54 = m M mu Acircumflex
keycode  55 = period greater greaterthanequal breve
keycode  56 = Tab NoSymbol Tab
keycode  57 = space NoSymbol nobreakspace
keycode  58 = grave asciitilde dead_grave grave
keycode  59 = BackSpace NoSymbol BackSpace
keycode  60 = 0x1000003 NoSymbol 0x1000003
keycode  61 = Escape NoSymbol Escape
keycode  62 =
keycode  63 = Meta_L NoSymbol Meta_L
keycode  64 = Shift_L NoSymbol Shift_L
keycode  65 = Caps_Lock NoSymbol Caps_Lock
keycode  66 = Mode_switch NoSymbol Mode_switch
keycode  67 = Control_L NoSymbol Control_L
keycode  68 = Shift_R NoSymbol Shift_R
keycode  69 = Mode_switch NoSymbol Mode_switch
keycode  70 = Control_R NoSymbol Control_R
keycode  71 = Meta_R NoSymbol Meta_R
keycode  72 =
keycode  73 = KP_Decimal NoSymbol KP_Decimal
keycode  74 =
keycode  75 = KP_Multiply NoSymbol KP_Multiply
keycode  76 =
keycode  77 = KP_Add NoSymbol KP_Add
keycode  78 =
keycode  79 = Escape NoSymbol Escape
keycode  80 =
keycode  81 =
keycode  82 =
keycode  83 = KP_Divide NoSymbol KP_Divide
keycode  84 = KP_Enter NoSymbol KP_Enter
keycode  85 =
keycode  86 = KP_Subtract NoSymbol KP_Subtract
keycode  87 =
keycode  88 =
keycode  89 = KP_Equal NoSymbol KP_Equal
keycode  90 = KP_0 NoSymbol KP_0
keycode  91 = KP_1 NoSymbol KP_1
keycode  92 = KP_2 NoSymbol KP_2
keycode  93 = KP_3 NoSymbol KP_3
keycode  94 = KP_4 NoSymbol KP_4
keycode  95 = KP_5 NoSymbol KP_5
keycode  96 = KP_6 NoSymbol KP_6
keycode  97 = KP_7 NoSymbol KP_7
keycode  98 =
keycode  99 = KP_8 NoSymbol KP_8
keycode 100 = KP_9 NoSymbol KP_9
keycode 101 =
keycode 102 =
keycode 103 =
keycode 104 = F5 NoSymbol F5
keycode 105 = F6 NoSymbol F6
keycode 106 = F7 NoSymbol F7
keycode 107 = F3 NoSymbol F3
keycode 108 = F8 NoSymbol F8
keycode 109 = F9 NoSymbol F9
keycode 110 =
keycode 111 = F11 NoSymbol F11
keycode 112 =
keycode 113 = F13 NoSymbol F13
keycode 114 =
keycode 115 = F14 NoSymbol F14
keycode 116 =
keycode 117 = F10 NoSymbol F10
keycode 118 =
keycode 119 = F12 NoSymbol F12
keycode 120 =
keycode 121 = F15 NoSymbol F15
keycode 122 = Help NoSymbol Help
keycode 123 = Home NoSymbol Home
keycode 124 = Prior NoSymbol Prior
keycode 125 = Delete NoSymbol Delete
keycode 126 = F4 NoSymbol F4
keycode 127 = End NoSymbol End
keycode 128 = F2 NoSymbol F2
keycode 129 = Next NoSymbol Next
keycode 130 = F1 NoSymbol F1
keycode 131 = Left NoSymbol Left
keycode 132 = Right NoSymbol Right
keycode 133 = Down NoSymbol Down
keycode 134 = Up NoSymbol Up
keycode 135 =
keycode 136 =
keycode 137 =
keycode 138 =
keycode 139 =
keycode 140 =
keycode 141 =
keycode 142 =
keycode 143 =
keycode 144 =
keycode 145 =
keycode 146 =
keycode 147 =
keycode 148 =
keycode 149 =
keycode 150 =
keycode 151 =
keycode 152 =
keycode 153 =
keycode 154 =
keycode 155 =
keycode 156 =
keycode 157 =
keycode 158 =
keycode 159 =
keycode 160 =
keycode 161 =
keycode 162 =
keycode 163 =
keycode 164 =
keycode 165 =
keycode 166 =
keycode 167 =
keycode 168 =
keycode 169 =
keycode 170 =
keycode 171 =
keycode 172 =
keycode 173 =
keycode 174 =
keycode 175 =
keycode 176 =
keycode 177 =
keycode 178 =
keycode 179 =
keycode 180 =
keycode 181 =
keycode 182 =
keycode 183 =
keycode 184 =
keycode 185 =
keycode 186 =
keycode 187 =
keycode 188 =
keycode 189 =
keycode 190 =
keycode 191 =
keycode 192 =
keycode 193 =
keycode 194 =
keycode 195 =
keycode 196 =
keycode 197 =
keycode 198 =
keycode 199 =
keycode 200 =
keycode 201 =
keycode 202 =
keycode 203 =
keycode 204 =
keycode 205 =
keycode 206 =
keycode 207 =
keycode 208 =
keycode 209 =
keycode 210 =
keycode 211 =
keycode 212 =
keycode 213 =
keycode 214 =
keycode 215 =
keycode 216 =
keycode 217 =
keycode 218 =
keycode 219 =
keycode 220 =
keycode 221 =
keycode 222 =
keycode 223 =
keycode 224 =
keycode 225 =
keycode 226 =
keycode 227 =
keycode 228 =
keycode 229 =
keycode 230 =
keycode 231 =
keycode 232 =
keycode 233 =
keycode 234 =
keycode 235 =
keycode 236 =
keycode 237 =
keycode 238 =
keycode 239 =
keycode 240 =
keycode 241 =
keycode 242 =
keycode 243 =
keycode 244 =
keycode 245 =
keycode 246 =
keycode 247 =
keycode 248 =
keycode 249 =
keycode 250 =
keycode 251 =
keycode 252 =
keycode 253 =
keycode 254 =
keycode 255 =
clear shift
clear lock
clear control
clear mod1
clear mod2
clear mod3
clear mod4
clear mod5
add shift = Shift_L
add shift = Shift_R
add lock = Caps_Lock
add control = Control_L
add control = Control_R
add mod1 = Mode_switch
add mod1 = Mode_switch
add mod2 = Meta_L
add mod2 = Meta_R
" | xmodmap -; echo "X2GODATAEND:d553712e-0768-4022-bcdf-d1cdb98f17d3";'"
x2go-DEBUG-../src/onmainwindow.cpp:6459> Proxy wrote on stderr: "Info: Using shared memory parameters 0/0K."
x2go-DEBUG-../src/sshmasterconnection.cpp:2191> New exec channel created.
x2go-DEBUG-../src/sshmasterconnection.cpp:2066> Creating new channel.
x2go-DEBUG-../src/sshmasterconnection.cpp:2083> New channel:0x7fd6e0027800
x2go-DEBUG-../src/sshmasterconnection.cpp:2168> Executing remote: "bash -l -c 'echo "X2GODATABEGIN:7ae0289d-9a47-4b97-afcd-2a0a8addacef"; export PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; x2gobasepath; echo "X2GODATAEND:7ae0289d-9a47-4b97-afcd-2a0a8addacef";'"
x2go-DEBUG-../src/sshmasterconnection.cpp:2191> New exec channel created.
x2go-DEBUG-../src/sshmasterconnection.cpp:2240> EOF on channel 0x7fd6e0027800; SshProcess object: 4
x2go-DEBUG-../src/sshmasterconnection.cpp:2363> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:2367> Channel closed.
x2go-DEBUG-../src/sshprocess.cpp:526> SSH finished: raw output (stdout): "X2GODATABEGIN:7ae0289d-9a47-4b97-afcd-2a0a8addacef
/usrX2GODATAEND:7ae0289d-9a47-4b97-afcd-2a0a8addacef"
x2go-DEBUG-../src/sshprocess.cpp:537> SSH finished: true - "/usr" (4).
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via SshProcess object 5: "setsid /usr/bin/x2goruncommand 50 24687 kudyba-50-1522869932_stDMATE_dp32 51276 mate-session nosnd D 1> /dev/null 2>/dev/null & exit"
x2go-DEBUG-../src/sshprocess.cpp:213> this=SshProcess(0x7fd6dde76b20)  Running masterCon->addChannelConnection(this, ' "bc10b107-23f6-4150-807c-5d09209ef4ff" ', ' "bash -l -c 'echo "X2GODATABEGIN:bc10b107-23f6-4150-807c-5d09209ef4ff"; export TERM="dumb"; setsid /usr/bin/x2goruncommand 50 24687 kudyba-50-1522869932_stDMATE_dp32 51276 mate-session nosnd D 1> /dev/" '); 
x2go-DEBUG-../src/sshmasterconnection.cpp:1874> Locking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1876> Passing new channel connection object to channelConnections.
x2go-DEBUG-../src/sshmasterconnection.cpp:1878> Unlocking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:2066> Creating new channel.
x2go-DEBUG-../src/sshmasterconnection.cpp:2083> New channel:0x7fd6ddee1800
x2go-DEBUG-../src/sshmasterconnection.cpp:2168> Executing remote: "bash -l -c 'echo "X2GODATABEGIN:bc10b107-23f6-4150-807c-5d09209ef4ff"; export TERM="dumb"; setsid /usr/bin/x2goruncommand 50 24687 kudyba-50-1522869932_stDMATE_dp32 51276 mate-session nosnd D 1> /dev/null 2>/dev/null & exit; echo "X2GODATAEND:bc10b107-23f6-4150-807c-5d09209ef4ff";'"
x2go-DEBUG-../src/sshmasterconnection.cpp:2191> New exec channel created.
x2go-DEBUG-../src/sshmasterconnection.cpp:2240> EOF on channel 0x7fd6ddee1800; SshProcess object: 5
x2go-DEBUG-../src/sshmasterconnection.cpp:2363> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:2367> Channel closed.
x2go-DEBUG-../src/sshprocess.cpp:526> SSH finished: raw output (stdout): "X2GODATABEGIN:bc10b107-23f6-4150-807c-5d09209ef4ff"
x2go-DEBUG-../src/sshprocess.cpp:537> SSH finished: true - "" (5).
x2go-DEBUG-../src/sshmasterconnection.cpp:2240> EOF on channel 0x7fd6e045b140; SshProcess object: 3
x2go-DEBUG-../src/sshmasterconnection.cpp:2363> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:2367> Channel closed.
x2go-DEBUG-../src/sshprocess.cpp:526> SSH finished: raw output (stdout): "X2GODATABEGIN:d553712e-0768-4022-bcdf-d1cdb98f17d3
X2GODATAEND:d553712e-0768-4022-bcdf-d1cdb98f17d3"
x2go-DEBUG-../src/sshprocess.cpp:537> SSH finished: true - "" (3).
x2go-DEBUG-../src/onmainwindow.cpp:6459> Proxy wrote on stderr: "Session: Terminating session at 'Wed Apr  4 15:25:43 2018'.
Session: Session terminated at 'Wed Apr  4 15:25:43 2018'."
x2go-DEBUG-../src/sshmasterconnection.cpp:2344> Socket 29 closed.
x2go-DEBUG-../src/sshmasterconnection.cpp:2363> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:2367> Channel closed.
x2go-DEBUG-../src/onmainwindow.cpp:6312> Deleting Proxy.
x2go-DEBUG-../src/onmainwindow.cpp:6361> Waiting for proxy to exit.
x2go-DEBUG-../src/onmainwindow.cpp:6385> Checking exit status.
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via SshProcess object 6: "x2gocmdexitmessage kudyba-50-1522869932_stDMATE_dp32"
x2go-DEBUG-../src/sshprocess.cpp:213> this=SshProcess(0x7fd6ddd42450)  Running masterCon->addChannelConnection(this, ' "a520211f-f1fb-44c2-be4f-3802e91f8353" ', ' "bash -l -c 'echo "X2GODATABEGIN:a520211f-f1fb-44c2-be4f-3802e91f8353"; export PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; x2gocmdexitmessage kudyba-50-1522869932_stDMATE_dp32; echo "X2GODA" '); 
x2go-DEBUG-../src/sshmasterconnection.cpp:1874> Locking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1876> Passing new channel connection object to channelConnections.
x2go-DEBUG-../src/sshmasterconnection.cpp:1878> Unlocking SSH channel connection MUTEX.
x2go-DEBUG-../src/onmainwindow.cpp:6442> Finished proxy.
x2go-DEBUG-../src/sshmasterconnection.cpp:2066> Creating new channel.
x2go-DEBUG-../src/sshmasterconnection.cpp:2083> New channel:0x7fd6ddedb5d0
x2go-DEBUG-../src/sshmasterconnection.cpp:2168> Executing remote: "bash -l -c 'echo "X2GODATABEGIN:a520211f-f1fb-44c2-be4f-3802e91f8353"; export PATH="/usr/local/bin:/usr/bin:/bin";export TERM="dumb"; x2gocmdexitmessage kudyba-50-1522869932_stDMATE_dp32; echo "X2GODATAEND:a520211f-f1fb-44c2-be4f-3802e91f8353";'"
x2go-DEBUG-../src/sshmasterconnection.cpp:2191> New exec channel created.
x2go-DEBUG-../src/sshmasterconnection.cpp:2240> EOF on channel 0x7fd6ddedb5d0; SshProcess object: 6
x2go-DEBUG-../src/sshmasterconnection.cpp:2363> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:2367> Channel closed.
x2go-DEBUG-../src/sshprocess.cpp:526> SSH finished: raw output (stdout): "X2GODATABEGIN:a520211f-f1fb-44c2-be4f-3802e91f8353
X2GORUNCOMMAND ERR NOEXEC:mate-session
X2GODATAEND:a520211f-f1fb-44c2-be4f-3802e91f8353"
x2go-DEBUG-../src/sshprocess.cpp:537> SSH finished: true - "X2GORUNCOMMAND ERR NOEXEC:mate-session" (6).
x2go-DEBUG-../src/onmainwindow.cpp:9841> "Command message: X2GORUNCOMMAND ERR NOEXEC:mate-session"
x2go-DEBUG-../src/onmainwindow.cpp:6619> Setting focus.
2018-04-04 15:25:52.364 x2goclient[57523:2158921] modalSession has been exited prematurely - check for a reentrant call to endModalSession:
x2go-DEBUG-../src/sshmasterconnection.cpp:796> SshMasterConnection, instance SshMasterConnection(0x7fd6ddde6410)  waiting for thread to finish. 
x2go-DEBUG-../src/sshmasterconnection.cpp:1985> Disconnecting ...
x2go-DEBUG-../src/sshmasterconnection.cpp:1996> Deleting channel connections.
x2go-DEBUG-../src/sshmasterconnection.cpp:2004> Disconnecting session.
x2go-DEBUG-../src/sshmasterconnection.cpp:2010> Deleting sockets.
x2go-DEBUG-../src/sshmasterconnection.cpp:2017> All channels closed and session disconnected. Quitting session loop.
x2go-DEBUG-../src/sshmasterconnection.cpp:800> SshMasterConnection, instance SshMasterConnection(0x7fd6ddde6410)  thread finished. 
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshmasterconnection.cpp:807> SshMasterConnection, instance SshMasterConnection(0x7fd6ddde6410)  finished destructor. 
x2go-DEBUG-../src/onmainwindow.cpp:1705> Quitting from tray icon and closing application.
x2go-INFO-6> "Closing X2Go Client ..."
x2go-DEBUG-../src/onmainwindow.cpp:1504> Saving settings ...
x2go-DEBUG-../src/onmainwindow.cpp:1513> Saved settings.
x2go-DEBUG-../src/pulsemanager.cpp:785> Pulseaudio finished with code:0
x2go-DEBUG-../src/pulsemanager.cpp:788> 
x2go-DEBUG-../src/pulsemanager.cpp:791> W: [] caps.c: Normally all extra capabilities would be dropped now, but that's impossible because PulseAudio was built without capabilities support.
x2go-DEBUG-../src/onmainwindow.cpp:1671> libssh finalized.
x2go-INFO-7> "Finished X2Go Client closing hooks."
x2go-DEBUG-../src/onmainwindow.cpp:598> Destroying X2Go Client's main window.
x2go-DEBUG-../src/onmainwindow.cpp:601> Finished destructor hooks for X2Go Client's main window.
WARNING: unable to send SIGTERM to process group '57523': No such process
WARNING: failed to kill process group '57523': No such process
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Dec 17 03:59:06 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.